/*! formalize.css | MIT License | github.com/interacthings/formalize */
*, *:before, *:after {
    box-sizing: inherit;
}

html {
    box-sizing: border-box;
    text-rendering: optimizeLegibility;
}

body {
    overflow-x: hidden;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

a {
    color: inherit;
    text-decoration: none;
}

a:active, a:focus, a:hover {
    outline: none;
    color: currentColor;
    text-decoration: none;
}

button:active, button:focus, button:hover {
    outline: none;
    color: currentColor;
    text-decoration: none;
}

img {
    vertical-align: middle;
}

blockquote, dl, dd, h1, h2, h3, h4, h5, h6, figure, p, pre, fieldset, ul, ol, menu, form {
    margin: 0;
}

button, fieldset, iframe {
    border: 0;
}

fieldset, ul, ol, button, menu {
    padding: 0;
}

ol, ul {
    list-style: none;
}

textarea {
    resize: vertical;
}

table {
    width: 100%;
    border-collapse: collapse;
    border-spacing: 0;
}

td {
    padding: 0;
}

body {
    font-family: 'Poppins', sans-serif;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    min-width: 100vw;
    min-height: 100vh;
    background-image: url(../images/background.jpg);
}

body .container {
    max-width: 1410px;
    margin: 0 auto;
    padding: 0 20px;
}

@media (max-width: 768px) {
    body {
        background-image: url(../images/bg-m.jpg);
    }
}

.Login {
    min-width: 100vw;
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.Login .container {
    width: 100%;
    min-width: 100vw;
    min-height: 100vh;
}

.Login-in {
    width: 100%;
    height: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
}

.Login-form {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.Login-logo {
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 162px;
    margin-bottom: 40px;
}

.Login-logo img {
    width: 100%;
}

.Login-item {
    max-width: 446px;
    width: 100%;
    margin-bottom: 22px;
}

.Login-item label {
    width: 100%;
    position: relative;
    padding: 22px;
    border-radius: 800px;
    box-shadow: inset 0 0 20px 0 rgba(31, 225, 255, 0.4), 0 4px 4px 0 rgba(0, 0, 0, 0.25);
    border: solid 1px rgba(31, 225, 255, 0.4);
    background-color: #006777;
}

.Login-item label span {
    position: absolute;
    font-size: 20px;
    font-weight: 500;
    text-align: center;
    color: #93e3ef;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    pointer-events: none;
    transition: all 300ms;
}

.Login-item label input {
    width: 100%;
    background-color: transparent;
    border: none;
    outline: none;
    box-shadow: none;
    font-size: 20px;
    font-weight: 500;
    text-align: center;
    color: #fff;
    -webkit-box-shadow: none;
    transition: background-color 50000s ease-in-out 0s,
    -webkit-box-shadow 50000s ease-in-out 0s;
}

.Login-item label input:focus, .Login-item label input:valid {
    background-color: transparent;
    border: none;
    outline: none;
    box-shadow: none;
}

.Login-item label input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 50px #006777 inset;
    -webkit-text-fill-color: #fff;
    border-radius: 15px;
    font-size: 20px;
    font-weight: 500;
    background-color: #005360;
  }

.Login-item label input:-webkit-autofill + span,
.Login-item label input:focus + span, 
.Login-item label input:valid + span {
    left: 0;
    top: 0;
    font-size: 16px;
    transform: translate(30px, 5px);
}

.Login-submit {
    max-width: 446px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 21px;
    border-radius: 800px;
    background-image: linear-gradient(268.36deg, #1FE1FF -15.31%, #FFFFFF 49.52%, #1FE1FF 114.34%);
    border: 1px solid rgba(31, 225, 255, 0.4);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    font-size: 20px;
    font-weight: 600;
    text-align: center;
    color: #005360;
    transition: all 300ms;
    position: relative;
    z-index: 1;
}

.Login-submit:before {
    content: "";
    display: inline-block;
    width: 0;
    height: 100%;
    background-color: #fff;
    left: 50%;
    top: 0;
    transform: translateX(-50%);
    position: absolute;
    border-radius: 800px;
    z-index: -1;
    opacity: 1;
    transition: all 400ms;
}

.Login-submit:hover {
    border-color: #fff;
}

.Login-submit:hover:before {
    width: 100%;
    opacity: 1;
}

.Login-buttons {
    display: flex;
    align-items: center;
    width: 100%;
    max-width: 446px;
    margin-top: 44px;
}

.Login-buttons a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 33.3%;
    max-width: 146px;
    height: 60px;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    border: 1px solid transparent;
    border-radius: 800px;
    transition: all 400ms;
    margin-right: 5px;
}

.Login-buttons a:hover {
    border-color: #fff;
}

.Login-social {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    width: 100%;
    position: absolute;
    right: 0;
    bottom: 70px;
}

.Login-social a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    max-width: 222px;
    height: 65px;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    transition: all 400ms;
    filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
}

.Login-social a:hover {
    transform: scale(0.97);
}


@media (max-width: 768px) {
    .Login-logo {
        margin-bottom: 24px;
    }

    .Login-item {
        max-width: 375px;
        margin-bottom: 16px;
    }

    .Login-item label {
        padding: 16px;
    }

    .Login-item label span {
        font-size: 15px;
    }

    .Login-item label input {
        font-size: 15px;
    }

    .Login-item label input:focus + span, .Login-item label input:valid + span {
        font-size: 12px;
    }

    .Login-submit {
        max-width: 375px;
        padding: 16px;
        font-size: 15px;
    }

    .Login-buttons {
        max-width: 375px;
        margin-top: 40px;
        justify-content: center;
    }

    .Login-buttons a {
        max-width: 162px;
        height: 45px;
    }

    .Login-buttons .appstore {
        margin-right: 6px;
    }

    .Login-social {
        justify-content: center;
        right: unset;
        left: 50%;
        transform: translateX(-50%);
        bottom: 50px;
    }

    .Login-social a {
        max-width: 162px;
        height: 47px;
    }

    .Login-social .telegram {
        margin-right: 6px;
    }
}

div.alert {
  padding: 15px;
  background-color: #f44336;
  color: white;
  display: none;
  border-radius: 6px;
  max-width: 460px;
  width: 100%;
  margin-top: 22px;
}
